unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Math;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
Edit1.text:='';
  Edit2.text:='';
  Memo1.Clear;
  Memo1.Lines.Add('Рез-ты ст. гр. 020601 Воронцов И.К.');
  RadioGroup1.ItemIndex:=0;

end;

procedure TForm1.Button1Click(Sender: TObject);
var x,b,u,s:extended;
begin
  // Ввод исходных данных
     x:=StrToFloat(Edit1.Text);
     b:=StrToFloat(Edit2.Text);

        // Вывод введенных исходных данных
     Memo1.Lines.Add(' x='+FloatToStrF(x,ffFixed,8,4));
     Memo1.Lines.Add(' b='+FloatToStrF(b,ffFixed,8,4));

    // Проверка номера нажатой кнопки и выбор функции
     case RadioGroup1.ItemIndex of
        0: u:=sinh(x);
        1: u:=sqr(x);
        2: u:=exp(x);
         end;

    if (1<x*b) and (x*b<10) then s:=exp(u)+ sin(b);
    if (12<x*b) and (x*b<40) then s:=sqrt(abs(u+4*b)) else s:=b*sqr(u) ;
       // Вывод результата
 if CheckBox1.Checked then  // Проверка состояния кнопки CheckBox1
          Memo1.Lines.Add(' s='+IntToStr(Round(s)))
                                      else
          Memo1.Lines.Add(' s='+FloatToStrF(s,ffGeneral,8,2));
end;

end.
